Freeciv-3.1: packet_city_sabotage_list Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_city_sabotage_list Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | actor_id16
int | actor_id32
int | city_id16
int | city_id32
bv_imprs | improvements
action_id | act_id
int | request_kind

## Detailed Description

Definition at line 487 of file packets_gen.h.

## Field Documentation

## ◆ act_id

action_id packet_city_sabotage_list::act_id

Definition at line 493 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_100(), send_packet_city_sabotage_list_101(), and spy_send_sabotage_list().

## ◆ actor_id16

int packet_city_sabotage_list::actor_id16

Definition at line 488 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_101(), and spy_send_sabotage_list().

## ◆ actor_id32

int packet_city_sabotage_list::actor_id32

Definition at line 489 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_100(), and spy_send_sabotage_list().

## ◆ city_id16

int packet_city_sabotage_list::city_id16

Definition at line 490 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_101(), and spy_send_sabotage_list().

## ◆ city_id32

int packet_city_sabotage_list::city_id32

Definition at line 491 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_100(), and spy_send_sabotage_list().

## ◆ improvements

bv_imprs packet_city_sabotage_list::improvements

Definition at line 492 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_100(), send_packet_city_sabotage_list_101(), and spy_send_sabotage_list().

## ◆ request_kind

int packet_city_sabotage_list::request_kind

Definition at line 494 of file packets_gen.h.

Referenced by handle_city_sabotage_list(), send_packet_city_sabotage_list_100(), send_packet_city_sabotage_list_101(), and spy_send_sabotage_list().